Appearance
Knowledge Graphs API
All URIs are relative to https://api.syntheticusers.com/api/v1
| Method | HTTP request | Description |
|---|---|---|
| getKnowledgeGraph | GET /knowledgeGraphs/ | Get Knowledge Graph |
| listKnowledgeGraphs | GET /knowledgeGraphs | List Knowledge Graphs |
getKnowledgeGraph
KnowledgeGraph getKnowledgeGraph()
Example
typescript
import { createConfiguration, KnowledgeGraphsApi } from '';
import type { KnowledgeGraphsApiGetKnowledgeGraphRequest } from '';
const configuration = createConfiguration();
const apiInstance = new KnowledgeGraphsApi(configuration);
const request: KnowledgeGraphsApiGetKnowledgeGraphRequest = {
knowledgeGraphId: "knowledge_graph_id_example",
};
const data = await apiInstance.getKnowledgeGraph(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| knowledgeGraphId | [string] | defaults to undefined |
Return type
KnowledgeGraph
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
listKnowledgeGraphs
PageKnowledgeGraph listKnowledgeGraphs()
Example
typescript
import { createConfiguration, KnowledgeGraphsApi } from '';
import type { KnowledgeGraphsApiListKnowledgeGraphsRequest } from '';
const configuration = createConfiguration();
const apiInstance = new KnowledgeGraphsApi(configuration);
const request: KnowledgeGraphsApiListKnowledgeGraphsRequest = {
// Comma-separated list of studies IDs (optional)
id: "id_example",
// Comma-separated list of project IDs (optional)
projectId: "projectId_example",
// Comma-separated list of audiences IDs (optional)
studyId: "studyId_example",
// Status to filter by (optional)
status: "status_example",
// Page number (optional)
page: 1,
// Page size (optional)
size: 50,
};
const data = await apiInstance.listKnowledgeGraphs(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | [string] | Comma-separated list of studies IDs | (optional) defaults to undefined |
| projectId | [string] | Comma-separated list of project IDs | (optional) defaults to undefined |
| studyId | [string] | Comma-separated list of audiences IDs | (optional) defaults to undefined |
| status | [string] | Status to filter by | (optional) defaults to undefined |
| page | [number] | Page number | (optional) defaults to 1 |
| size | [number] | Page size | (optional) defaults to 50 |
Return type
PageKnowledgeGraph
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |